<div class="auth-form-center">
  <app-progress-bar-loader></app-progress-bar-loader>
  <!-- <div class="auth-form-header">
    <img src="../../../assets/images/logo.png" />
    <h4>{{'Please enter your email' | translate | titlecase}} </h4>
  </div> -->
  <div class="auth-form-body">
    <form novalidate [formGroup]="recoveryForm" (ngSubmit)="recovery()" class="form-row">
      <div class="col-12">
        <mat-form-field appearance="outline" class="input-fluid">
          <mat-label>Email</mat-label>
          <input id="email" formControlName="email" matInput placeholder="Email">
          <mat-error *ngIf="email.hasError('required' )">
            Email {{'is required'|translate | titlecase}}
          </mat-error>
          <mat-error *ngIf="email.hasError('email')">
            {{'incorrect email format'|translate | titlecase}}
          </mat-error>
        </mat-form-field>
      </div>
      <div class="col-12">
        <mat-error class="text-info" *ngIf="recoveryFail == 1">
          {{'RECOVERY_TRUE'|translate | titlecase}} : {{recoveryForm.value.email}}
        </mat-error>
        <mat-error *ngIf="recoveryFail == 2">
          {{'RECOVERY_FAILED'|translate | titlecase}}
        </mat-error>
        <div class="d-flex justify-content-between mt-4">
          <a class="text-info" routerLink="../signin">{{ 'Sign in' | translate | titlecase}}</a>
          <button type="submit" *ngIf="isClick == false"
            class="btn btn-info">{{'Recovery' | translate | titlecase}}</button>
          <button *ngIf="isClick == true" class="btn btn-info">
            {{'Checking' | translate | titlecase}}
            <i class="fa fa-spinner fa-spin"></i>
          </button>
        </div>
      </div>
    </form>
  </div>
</div>